------------------------------------------------------------------------------------
--Name:  	juqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-04-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(74, 66)
CppScriptMgr:SetViewScale(180)
local Player_5 = CppScriptMgr:AddSimplePlayer(1063683, 78, 71, "", 0, 0)
Player_5:SetDir(3)
Player_5:SetZoomPercent(180)
local Player_6 = CppScriptMgr:AddSimplePlayer(1062903, 72, 77, "", 0, 0)
Player_6:SetDir(3)
Player_6:SetZoomPercent(180)
local Player_7 = CppScriptMgr:AddSimplePlayer(1053833, 78, 77, "", 0, 0)
Player_7:SetDir(3)
Player_7:SetZoomPercent(180)
local Player_8 = CppScriptMgr:AddSimplePlayer(1065333, 83, 72, "", 0, 0)
Player_8:SetDir(3)
Player_8:SetZoomPercent(180)
local Player_9 = CppScriptMgr:AddSimplePlayer(1050822, 80, 64, "", 0, 0)
Player_9:SetDir(2)
Player_9:SetZoomPercent(180)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("This is Hall of Heroes?", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_5month5", 150, 430, "Archer", 250, 655, false)
Player_5:SetAction(101)
Player_6:SetAction(101)
Player_7:SetAction(101)
Player_8:SetAction(101)
Player_9:SetAction(101)
CppScriptMgr:WaitMilSec(1990)
CppScriptMgr:NpcCallOut("It is more grander than I ever thought...", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_5month14", 150, 430, "Pirate", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("All the hardships are worthwhile!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_5month11", 150, 430, "Trojan", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Welcome!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLSLHX", 150, 430, "Statue", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Hall of Heroes is always here to welcome you!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLSLHX", 150, 430, "Statue", 250, 655, false)
CppScriptMgr:ShakeScrEffect(1)
local Effect_1 = CppScriptMgr:AddEffect("CSGX_jin", 78, 71, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("CSGX_jin", 72, 77, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("CSGX_jin", 78, 77, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("CSGX_jin", 83, 72, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("CSGX_jin", 80, 64, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2000)